package com.iamberry.wechat.core.entity.official;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PaperBean;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;

/**
 *  watero官网授权管理类
 * @author
 * @Date 2018-12-24
 */
public class Prospectus implements Serializable{
    //主键
    private Integer prospectusId;
    //授权码
    private String prospectusCode;
    //授权名称
    private String prospectusName;
    //授权图片
    private String prospectusImg;
    //授权状态 1:已授权 2:未授权/取消授权 3:已过期
    private Integer prospectusStatus;
    //截止日期时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date prospectusTime;
    //创建时间'
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date prospectusCreateTime;

    PaperBean bean = new PaperBean();

    public Integer getProspectusId(){
        return prospectusId;
    }

    public void setProspectusId(Integer  prospectusId){
        this.prospectusId=prospectusId;
    }

    public String getProspectusCode(){
        return prospectusCode;
    }

    public void setProspectusCode(String  prospectusCode){
        this.prospectusCode=prospectusCode;
    }

    public String getProspectusName(){
        return prospectusName;
    }

    public void setProspectusName(String  prospectusName){
        this.prospectusName=prospectusName;
    }

    public String getProspectusImg(){
        return prospectusImg;
    }

    public void setProspectusImg(String  prospectusImg){
        this.prospectusImg=prospectusImg;
    }

    public Integer getProspectusStatus(){
        return prospectusStatus;
    }

    public void setProspectusStatus(Integer  prospectusStatus){
        this.prospectusStatus=prospectusStatus;
    }

    public Date getProspectusTime(){
        return prospectusTime;
    }

    public void setProspectusTime(Date  prospectusTime){
        this.prospectusTime=prospectusTime;
    }

    public Date getProspectusCreateTime(){
        return prospectusCreateTime;
    }

    public void setProspectusCreateTime(Date  prospectusCreateTime){
        this.prospectusCreateTime=prospectusCreateTime;
    }

    public PaperBean getBean() {
        return bean;
    }

    public void setBean(PaperBean bean) {
        this.bean = bean;
    }
}